Debian Bug report logs - #603384
Cannot trivially download photos from a simple SD card

version graph

Package: libgphoto2-2; Maintainer for libgphoto2-2 is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>; Source for libgphoto2-2 is src:libgphoto2.

Reported by: Enrico Zini <enrico@debian.org>

Date: Sat, 13 Nov 2010 16:18:01 UTC

Severity: normal

Found in version libgphoto2/2.4.6-3

Fixed in version libgphoto2/2.4.10.1-2

Done: Laurent Bigonville <bigon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#603384; Package gphoto2. (Sat, 13 Nov 2010 16:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@debian.org>:
New Bug report received and forwarded. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sat, 13 Nov 2010 16:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Cannot trivially download photos from a simple SD card
Date: Sat, 13 Nov 2010 16:14:13 +0000
Package: gphoto2
Version: 2.4.5-2+b1
Severity: normal

Hello,

thanks for maintaning gphoto2.

I am trying to reproduce #512883 so I could try to debug it, but I
didn't get as far as the bug reporter did. I have photos on a SD card
put in my laptop SD card reader, and gphoto2 -l and gphoto2 -L correctly
list the contents of the SD card. I can copy file out of it using plain
"cp". However, gphoto2 cannot:

  $ gphoto2 --get-all-files
  Downloading 'P1110588.JPG' from folder '/DCIM/111_PANA'...                     
  *** Error (-1: 'Unspecified error') ***       
  
  For debugging messages, please use the --debug option.
  Debugging messages may help finding a solution to your problem.
  If you intend to send any error or debug messages to the gphoto
  developer mailing list <gphoto-devel@lists.sourceforge.net>, please run
  gphoto2 as follows:
  
      env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt --get-all-files
  
  Please make sure there is sufficient quoting around the arguments.

I generate the logfile and this seems to be the relevant extract:

  0.280131 context(2): Downloading 'P1110666.JPG' from folder '/DCIM/111_PANA'...
  0.280182 gp_file_open(0): Needs to be initialized with fd=-1 to work
  0.280209 libgphoto2/gphoto2-filesys.c(2): Download of 'P1110666.JPG' from '/DCIM/111_PANA' (type 1) failed. Reason: 'Unspecified error'
  0.280221 gphoto2-camera(2): Operation failed!


I hereby give up in dismay.


Ciao,

Enrico

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gphoto2 depends on:
ii  libaa1                    1.4p5-38       ascii art library
ii  libc6                     2.11.2-7       Embedded GNU C Library: Shared lib
ii  libcdk5                   5.0.20060507-2 C-based curses widget library
ii  libexif12                 0.6.19-1       library to parse EXIF files
ii  libgphoto2-2              2.4.6-1+b1     gphoto2 digital camera library
ii  libgphoto2-port0          2.4.6-1+b1     gphoto2 digital camera port librar
ii  libjpeg62                 6b1-1          The Independent JPEG Group's JPEG 
ii  libncurses5               5.7+20100313-4 shared libraries for terminal hand
ii  libpopt0                  1.16-1         lib for parsing cmdline parameters
ii  libreadline5              5.2-7          GNU readline and history libraries

gphoto2 recommends no packages.

Versions of packages gphoto2 suggests:
pn  gthumb                        <none>     (no description available)
pn  gtkam                         <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#603384; Package gphoto2. (Sat, 13 Nov 2010 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sat, 13 Nov 2010 18:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 603384@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Enrico Zini <enrico@debian.org>
Cc: 603384@bugs.debian.org
Subject: Re: Bug#603384: Cannot trivially download photos from a simple SD card
Date: Sat, 13 Nov 2010 19:39:14 +0100
[Message part 1 (text/plain, inline)]
reassign 603384 libgphoto2-port0
fixed 603384 2.4.10.1-2
found 603384 2.4.6-3

Ciao,

On Sat, 13 Nov 2010 16:14:13 +0000, Enrico Zini wrote:

> I am trying to reproduce #512883 so I could try to debug it, but I
> didn't get as far as the bug reporter did. I have photos on a SD card
> put in my laptop SD card reader, and gphoto2 -l and gphoto2 -L correctly
> list the contents of the SD card. I can copy file out of it using plain
> "cp". However, gphoto2 cannot:
> 
>   $ gphoto2 --get-all-files
>   Downloading 'P1110588.JPG' from folder
> '/DCIM/111_PANA'... *** Error (-1: 'Unspecified error') ***       
>   
>   For debugging messages, please use the --debug option.
>   Debugging messages may help finding a solution to your problem.
>   If you intend to send any error or debug messages to the gphoto
>   developer mailing list <gphoto-devel@lists.sourceforge.net>, please run
>   gphoto2 as follows:
>   
>       env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt
> --get-all-files 
>   Please make sure there is sufficient quoting around the arguments.
> 
> I generate the logfile and this seems to be the relevant extract:
> 
>   0.280131 context(2): Downloading 'P1110666.JPG' from folder
> '/DCIM/111_PANA'...
>   0.280182 gp_file_open(0): Needs to be initialized with fd=-1 to work
>   0.280209 libgphoto2/gphoto2-filesys.c(2): Download of 'P1110666.JPG' from
> '/DCIM/111_PANA' (type 1) failed. Reason: 'Unspecified error'
>   0.280221 gphoto2-camera(2): Operation failed!

After digging in the code, seems like this bug is in libgphoto2-port0. In fact,
with sid's versions of libgphoto2-2 and gphoto2, and the experimental one of
-port0, I couldn't reproduce this bug.

I'll try to find what changed between the two versions, and possibly backport
the fix.

Grazie,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'gphoto2' to 'libgphoto2-port0'. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 18:42:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gphoto2/2.4.5-2. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 18:42:07 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions libgphoto2/2.4.10.1-2. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 18:42:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libgphoto2/2.4.6-3. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 18:42:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libgphoto2-port0' to 'libgphoto2-2'. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 15:03:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libgphoto2/2.4.6-3. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 15:03:14 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions libgphoto2/2.4.10.1-2. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 15:03:15 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions libgphoto2/2.4.10.1-2. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 18:36:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libgphoto2/2.4.6-3. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 18:36:07 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 01 Jan 2014 19:33:17 GMT) Full text and rfc822 format available.

Notification sent to Enrico Zini <enrico@debian.org>:
Bug acknowledged by developer. (Wed, 01 Jan 2014 19:33:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Jan 2014 07:38:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:29:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.